Package uk.ac.starlink.topcat.interop

## Interface SubsetActivity

- All Superinterfaces:
    `Activity`

      public interface SubsetActivity
      extends Activity

  Activity for making multiple row selections.
  Since:
    10 Dec 2008
  Author:
    Mark Taylor

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `selectSubset​(TopcatModel tcModel, RowSubset rset)` | Sends a message to select a given sequence of rows.

    - ### Methods inherited from interface uk.ac.starlink.topcat.interop.Activity

      `getTargetSelector`

- - ### Method Detail

    - #### selectSubset

          void selectSubset​(TopcatModel tcModel,
                            RowSubset rset)
                     throws java.io.IOException

      Sends a message to select a given sequence of rows.
      Parameters:
        `tcModel` - table in question
        `rset` - row subset
      Throws:
        `java.io.IOException`

Copyright © 2003-2018 CCLRC: Council for the Central Laboratory of the Research Councils. All Rights Reserved.